Schöck
dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Как с помощью autolisp вписать в окружность шестиугольник и отметить точки соприкосновения (p1, p2, ..., p6)?

Как с помощью autolisp вписать в окружность шестиугольник и отметить точки соприкосновения (p1, p2, ..., p6)?

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 08.11.2018, 00:28 #1
Как с помощью autolisp вписать в окружность шестиугольник и отметить точки соприкосновения (p1, p2, ..., p6)?
itshpit
 
Регистрация: 01.11.2018
Сообщений: 10

itshpit вне форума Вставить имя

Здравствуйте. Задача следующая: нужно построить окружность, вписать в неё шестиугольник и отметить точки их соприкосновения, привязав их к определённым переменным.
Пыталась решить первые два пункта, но, видимо, даже это мне не по силам. Компиляция проходит успешно, а вот при загрузке программа пишет: "; ошибка: слишком мало аргументов". Вот так выглядит код:
Код:
[Выделить все]
 (defun c:task (p, rad)
       (setq p (getpoint "\nStart point :"))
       (setq rad (getdist p "\nRadius :"))
       (command "CIRCLE" p rad)
       (command "POLIGON" 6 "C" p "Ñ" rad)
)
Помогите, пожалуйста, исправить то, что есть, и дополнить код определением точек.
Просмотров: 497
 
Непрочитано 08.11.2018, 08:11
1 | #2
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,020


Команды poligon в AutoCAD нет.
Код ориентирован только на английский AutoCAD?
Что за опция "Ñ"?
Ставь точки останова и проходи пошагово.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 08.11.2018, 09:51
#3
itshpit


 
Регистрация: 01.11.2018
Сообщений: 10


Цитата:
Сообщение от Кулик Алексей aka kpblc Посмотреть сообщение
Команды poligon в AutoCAD нет.
Код ориентирован только на английский AutoCAD?
Что за опция "Ñ"?
Ставь точки останова и проходи пошагово.
Постаралась исправить ошибки. Теперь код работает. Но мне всё же хотелось бы как-то отметить точки соприкосновения фигур, если это возможно. Вот код:
Код:
[Выделить все]
  (defun c:task ()
       (setq p (getpoint "\nStart point :"))
       (setq rad (getdist p "\nRadius :"))
       (command "_.CIRCLE" p rad)
       (command "_.POLYGON" 6 p "_I" rad)
)
itshpit вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 08.11.2018, 09:55
1 | #4
RrRR


 
Регистрация: 23.04.2009
Сообщений: 633


Автор, зачем плодить темы?
http://forum.dwg.ru/showthread.php?t=149839
http://forum.dwg.ru/showthread.php?t=149936
Для того чтобы задать очередной вопрос по этой вашей лабораторной не обязательно создавать новую тему, можно ведь писать комментарий
RrRR вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 08.11.2018, 09:57
#5
itshpit


 
Регистрация: 01.11.2018
Сообщений: 10


Цитата:
Сообщение от Кулик Алексей aka kpblc Посмотреть сообщение
Команды poligon в AutoCAD нет.
Код ориентирован только на английский AutoCAD?
Что за опция "Ñ"?
Ставь точки останова и проходи пошагово.
Спасибо. Я постаралась исправить то, что было. Теперь код работает:
Код:
[Выделить все]
  (defun c:task ()
       (setq p (getpoint "\nStart point :"))
       (setq rad (getdist p "\nRadius :"))
       (command "_.CIRCLE" p rad)
       (command "_.POLYGON" 6 p "_I" rad)
)
И всё же мне хотелось бы отметить точки соприкосновения фигур. Если это возможно, объясните, пожалуйста, как это сделать.
itshpit вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 08.11.2018, 09:59
#6
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,020


Когда будет ясно, что значит "отметить", можно будет и поговорить.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 08.11.2018, 10:01
#7
itshpit


 
Регистрация: 01.11.2018
Сообщений: 10


Цитата:
Сообщение от RrRR Посмотреть сообщение
Автор, зачем плодить темы?
http://forum.dwg.ru/showthread.php?t=149839
http://forum.dwg.ru/showthread.php?t=149936
Для того чтобы задать очередной вопрос по этой вашей лабораторной не обязательно создавать новую тему, можно ведь писать комментарий
Наверное, по привычке. На других форумах для каждого вопроса нужно было создавать новую тему. Теперь буду знать.)

----- добавлено через ~3 мин. -----
Цитата:
Сообщение от Кулик Алексей aka kpblc Посмотреть сообщение
Когда будет ясно, что значит "отметить", можно будет и поговорить.
Назвать их, используя переменные, чтобы можно было дальше работать с ними в программе.
itshpit вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 08.11.2018, 12:08
1 | #8
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,020


Их надо не отмечать, а вычислять.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 08.11.2018, 13:06
#9
itshpit


 
Регистрация: 01.11.2018
Сообщений: 10


Цитата:
Сообщение от Кулик Алексей aka kpblc Посмотреть сообщение
Их надо не отмечать, а вычислять.
Действительно. А есть ли специальные функции для этого?
itshpit вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 08.11.2018, 13:13
#10
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,020


Есть, как не быть. Примеры - в коде http://forum.dwg.ru/showthread.php?t=149936
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Как с помощью autolisp вписать в окружность шестиугольник и отметить точки соприкосновения (p1, p2, ..., p6)?

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Линии электрических соединений Shoorup Программирование 23 07.02.2015 15:13
Как изменить цвет выбранных примитивов? Замена цвета объектов в autocad (с помощью autolisp). Halfback LISP 4 06.08.2013 05:08
Извлечение значений атрибутов блоков AutoCAD Electrical с помощью AutoLisp zaraki_kenpachi LISP 16 19.02.2011 15:30
Поставить точки в местах пересечений Юта Программирование 15 15.07.2009 16:01
Программно выделить линии и объекты, имеющие точки соприкосновения SIvan Программирование 6 24.07.2008 07:50

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||